Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1489983 - Review Request: llvm4.0 - Compatibility package for LLVM 4.0
Summary: Review Request: llvm4.0 - Compatibility package for LLVM 4.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-08 22:00 UTC by Tom Stellard
Modified: 2018-02-01 22:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-01 22:22:30 UTC
Type: ---
j: fedora-review+


Attachments (Terms of Use)

Comment 1 Josh Stone 2017-09-08 23:51:12 UTC
The main llvm package has a backport for ARM codegen which is important for rust, rust-lang-llvm-pr67.patch.  Any reason you didn't include this here?

Comment 2 Jason Tibbitts 2017-09-09 00:11:24 UTC
You don't need to go through the review process simply to import a parallel-installable version of an existing package.

https://fedoraproject.org/wiki/Package_Review_Process
https://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Process

Yes, finding this is unpleasantly difficult, and unfortunately our new fedrepo-req process doesn't play well with things.  But it appears to me that the package is named properly, and is indeed a versioned import of the llvm package, so I'll just approve this and you can import it with this ticket as a reference.

Comment 3 Gwyn Ciesla 2017-10-16 13:38:54 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/llvm4.0


Note You need to log in before you can comment on or make changes to this bug.